Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book
Class BooksEvent

    java.lang.Object
      java.util.EventObject
          org.crosswire.jsword.book.BooksEvent

All Implemented Interfaces:
  Serializable

    public class BooksEvent

extends EventObject

A BooksEvent is fired whenever a Bible is added or removed from the system.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: BooksEvent.java,v 1.7 2005/03/19 01:56:47 dmsmith Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`, Serialized Form

Field Summary
`private boolean` | `added` Is this an addition event?
`private Book` | `book` The name of the changed Bible
`private static long` | `serialVersionUID` Serialization ID

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`BooksEvent(Object source, Book book, boolean added)` Basic constructor

Method Summary
`Book` | `getBook()` Get the name of the changed Book
`boolean` | `isAddition()` Is this an addition event?

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### added

    private boolean added

  Is this an addition event?

### book

    private Book book

  The name of the changed Bible

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### BooksEvent

    public BooksEvent(Object source,
                      Book book,
                      boolean added)

  Basic constructor

  Parameters:
    `book` - The book of the changed Bible, or null if there is more than one change.
    `added` - True if the changed Bible is an addition.

Method Detail

### getBook

    public Book getBook()

  Get the name of the changed Book

  Returns:
    The Book

### isAddition

    public boolean isAddition()

  Is this an addition event?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD